$ErrorActionPreference = 'Stop';

$packageName = 'BGInfo'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.sysinternals.com/files/BGInfo.zip'
$url64      = 'https://download.sysinternals.com/files/BGInfo.zip'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  url           = $url
  url64bit      = $url64

  checksum      = '7e15fdef35a0b39583f6f7f0373f99ed5a53b7464388753549634e8015f9a733'
  checksumType  = 'sha256'
  checksum64    = '7e15fdef35a0b39583f6f7f0373f99ed5a53b7464388753549634e8015f9a733'
  checksumType64= 'sha256'
}

Install-ChocolateyZipPackage @packageArgs

Write-Verbose "Accepting license..."
$regRoot = 'HKCU:\Software\Sysinternals'
$regPkg = 'BgInfo'
$regPath = Join-Path $regRoot $regPkg
if (!(Test-Path $regRoot)) {New-Item -Path "$regRoot"}
if (!(Test-Path $regPath)) {New-Item -Path "$regRoot" -Name "$regPkg"}
Set-ItemProperty -Path "$regPath" -Name EulaAccepted -Value 1
if ((Get-ItemProperty -Path "$regPath").EulaAccepted -ne 1) {
  throw "Failed setting registry value."
}
